GetIntegrationExecution
GET
/api/v1/integrations/{integration}/executions/{execution}Fetch one run of an integration’s sync.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/integrations/{integration}/executions/{execution}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/integrations/{integration}/executions/{execution}"Set OBLIQUE_API_KEY to your API key.
Path parameters
namestringrequiredName of the integration of the format
integrations/{integration}/executions/{execution}.
Response
200IntegrationExecutionnamestringAssigned by Oblique.
displayNamestringread-onlyIf provided, indicates the kind of sync operation that was performed. For example this might say “User sync” or “Group sync”. May be empty.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlystatestringread-onlyeventCountstring (int64)read-onlyTotal number of events that have been created for this execution.
errorStatusread-onlyThe error result of the operation in case of failure or cancellation.
codeinteger (int32)messagestringdetailsobject[]An arbitrary message, carrying its own type in a
@typefield.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |